package com.rthoni.intellij.codefromds.dbo.options;

import java.util.HashMap;
import java.util.List;

/**
 * Created by robin on 11/19/16.
 */
public class TypesCastOptions {

    private String _arrayTemplate;

    private String _setOfTemplate;

    private HashMap<String, HashMap<String, String>> _types;

    private List<String> _nonNullableTypes;

    private List<String> _reservedWords;

    public String getArrayTemplate() {
        return _arrayTemplate;
    }

    public void setArrayTemplate(String arrayTemplate) {
        _arrayTemplate = arrayTemplate;
    }

    public HashMap<String, HashMap<String, String>> getTypes() {
        return _types;
    }

    public void setTypes(HashMap<String, HashMap<String, String>> types) {
        _types = types;
    }

    public List<String> getNonNullableTypes() {
        return _nonNullableTypes;
    }

    public void setNonNullableTypes(List<String> nonNullableTypes) {
        _nonNullableTypes = nonNullableTypes;
    }

    public List<String> getReservedWords() {
        return _reservedWords;
    }

    public void setReservedWords(List<String> reservedWords) {
        _reservedWords = reservedWords;
    }

    public String getSetOfTemplate() {
        return _setOfTemplate;
    }

    public void setSetOfTemplate(String setOfTemplate) {
        _setOfTemplate = setOfTemplate;
    }
}
